hook global BufCreate .+[.](mmd|mermaid) %{
    set-option buffer filetype mermaid
}

hook global WinSetOption filetype=mermaid %{
    require-module mermaid
    set-option window indentwidth 2
    set-option window comment_line '%%'
}

provide-module mermaid %—
    define-command -hidden mermaid-indent-on-new-line %~
        # preserve prev line indent
        try %{ execute-keys -draft <semicolon> K <a-&> }
    ~

—
